import java.io.*;
import java.awt.*;
import javax.swing.*;

public final class DefaultFont {
   public Font getFont(int style, float size) {
      Font font = null;
      
      try {
         font = Font.createFont(Font.TRUETYPE_FONT, getClass().getResourceAsStream("res/fnt/default.ttf"));
         font = font.deriveFont(style, size);
      } catch (Exception e) {
         throw new RuntimeException(e);
      }
      
      return font;
   }
}